/* Import main dependencies */
@import "~bootstrap/scss/functions";
@import "~bootstrap/scss/variables";
@import "~bootstrap/scss/mixins";
@import "~bootstrap/scss/images";
@import "~bootstrap/scss/reboot";
@import "variables";
@import "fontfaces";
@import "utility";
@import "sizing";
@import "spacing";
@import "grid";
@import "colors";
@import "typography";
@import "wysiwyg";
@import "qa";

/* Global styles */
* {
  box-sizing: border-box;
}

html, body {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  user-select: none;
  font: $font-primary, $font-system;
  font-weight: $fh-regular;
  color: $color-black;
}

body {
  width: 100%;
  min-height: 100vh;
  overflow-x: hidden;
  margin: 0;

  &.modal-open {
    overflow-y: hidden;
  }

  &.mock-overlay {
    position: relative;

    &:before {
      content: '';
      position: absolute;
      top: 0;
      left: 0;
      height: 100%;
      width: 100%;
      /* background-image: url('../img/mocks/mock_sm.jpg'); */
      background-repeat: no-repeat;
      background-position: top center;
      background-size: 100%;
      opacity: 0.25;
      z-index: map_get($z, overlay);
      pointer-events: none;

      @media (min-width: $bootstrap-xl) {
        /* background-image: url('../img/mocks/mock_xl.jpg'); */
      }
    }
  }
}

[data-v-cloak] > * {
  display: none;
}

[v-cloak] > * {
  display: none;
}

/* Position utilities */
$positions: static, relative, absolute, fixed, sticky !default;

@each $position in $positions {
  #{$rootNode} {
    .position-#{$position} {
      position: $position;
    }
  }
}

#{$rootNode} {
  /*  resets margin bottom on every last child of slots */
  .noMBLastChild {
    *:last-child {
      margin-bottom: 0;
    }
  }

  /* remove all the outline */
  *:focus {
    outline: none;
  }
}